/**
 * Author jiwenbing 
 * 用户行为跟踪
*/
import Promise from 'promise-polyfill'
import SdAdvert from './index.vue'

if (!window.Promise) {
  window.Promise = Promise
}

export default {
  install(Vue, options) {
    try {
      window.localStorage.sdAdvertData = JSON.stringify(options)
    } catch (e) {}

    Vue.component(SdAdvert.name, SdAdvert, options)
  }
}

