/**
 * Author jiwenbing 
 * Date 2017-11-15
 * Describe 发送请求
*/
import 'whatwg-fetch'
import { waveApiUrl, logApiUrl } from './config'

export const send = (data, url, isPayload) => {
  let headers = {},
    ajaxUrl = url || waveApiUrl,
    ajaxData = ''

  if (!isPayload) {
    headers['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8'

    for (let a in data) {
      ajaxData += `${a}=${data[a]}&`
    }

    ajaxData = ajaxData.substring(0, ajaxData.length-1)
  } else {
    ajaxData = data
  }

  return fetch(ajaxUrl, {
    method: 'post',
    headers: headers,
    body: ajaxData
  })
}

export const adTrackLog = (data) => {
  send(data, logApiUrl, true)
}

export default {
  send,
  adTrackLog
}

